Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh	(revision 9018)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh	(revision 9019)
@@ -56,5 +56,5 @@
 #   set_namelist     : function declared in all_functions that sets namelist parameters 
 #   post_test_tidyup : creates validation storage directory and copies required output files 
-#                      (solver.stat and ocean.output) in it after execution of test.
+#                      (run.stat and ocean.output) in it after execution of test.
 #
 #  VALIDATION tree is:
@@ -133,15 +133,15 @@
 cp BATCH_TEMPLATE/${JOB_PREFIX}-${COMPILER} job_batch_template || exit
 # Description of configuration tested:
-# GYRE_PISCES       :  1 &  2
-# ORCA2_LIM3_PISCES :  3 &  4
-# ORCA2_OFF_PISCES  :  5 &  6
-# AMM12             :  7 &  8 
-# SAS               :  9     fos SAS there is no solver so is useless to test REPRO
-# ISOMIP            : 10 & 11
-# ORCA2_LIM3_OBS    : 12
-# ORCA2_AGRIF_LIM3  : 13 & 14 
-#                     15 & 16 
-
-for config in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
+# GYRE_PISCES       :  1 
+# ORCA2_LIM3_PISCES :  2 
+# ORCA2_OFF_PISCES  :  3 
+# AMM12             :  4 
+# SAS               :  5     fos SAS there is no run.stat so is useless to test REPRO
+# ISOMIP            :  6
+# ORCA2_LIM3_OBS    :  7
+# ORCA2_AGRIF_LIM3  :  8 
+# ORCA2AGR          :  9 & 10  AGRIF active with no zoom, compared to no AGRIF cpp key
+
+for config in 1 2 3 4 5 6 7 8 9 10
 do
 
@@ -151,5 +151,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n GYREPIS_LONG -r GYRE_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n GYREPIS_ST -r GYRE_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -220,11 +220,8 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 2 ] ;  then
+
     ## Reproducibility tests for GYRE_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n GYREPIS_32 -r GYRE_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -287,9 +284,9 @@
 
 # TESTS FOR ORCA2_LIM3_PISCES CONFIGURATION
-if [ ${config} -eq 3 ] ;  then
+if [ ${config} -eq 2 ] ;  then
     ## Restartability tests for ORCA2_LIM3_PISCES
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_LONG -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_ST -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -311,4 +308,6 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+##    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -349,9 +348,11 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+##    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_rsttr .true.
     set_namelist namelist_top_cfg nn_rsttr 2
     set_namelist namelist_cfg cn_ocerst_in \"O2L3P_LONG_00000075_restart\"
+    set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000075_restart_trc\"
     set_namelist namelist_ice_cfg cn_icerst_in \"O2L3P_LONG_00000075_restart_ice\"
-    set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000075_restart_trc\"
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
     # if not you need input files, and for tests is not necessary
@@ -384,19 +385,17 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 4 ] ;  then
+
     ## Reproducibility tests for ORCA2_LIM3_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_32 -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3P_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -410,4 +409,6 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -441,4 +442,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3P_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -451,4 +453,6 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -477,9 +481,9 @@
 
 # TESTS FOR ORCA2_OFF_PISCES CONFIGURATION
-if [ ${config} -eq 5 ] ;  then
+if [ ${config} -eq 3 ] ;  then
     ## Restartability tests for ORCA2_OFF_PISCES
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_LONG -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_ST -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -566,19 +570,17 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 6 ] ;  then
+
     ## Reproducibility tests for ORCA2_OFF_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_32 -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"OFFP_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 40
@@ -621,4 +623,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"OFFP_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 40
@@ -656,17 +659,18 @@
 
 # TESTS FOR AMM12 CONFIGURATION
-if [ ${config} -eq 7 ] ;  then
+if [ ${config} -eq 4 ] ;  then
     ## Restartability tests for AMM12
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
+    . ./makenemo -m ${CMP_NAM} -n AMM12_ST -r AMM12 -j 8 del_key ${DEL_KEYS}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AMM12_LONG\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 576
@@ -677,4 +681,8 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .false.
+##SF 
+    set_namelist namelist_cfg ln_lin .true.
+    set_namelist namelist_cfg ln_loglayer .false.
+##SF
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -692,4 +700,5 @@
     . ./prepare_exe_dir.sh
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AMM12_SHORT\"
     set_namelist namelist_cfg nn_it000 289
     set_namelist namelist_cfg nn_itend 576
@@ -699,4 +708,8 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .false.
+##SF 
+    set_namelist namelist_cfg ln_lin .true.
+    set_namelist namelist_cfg ln_loglayer .false.
+##SF
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -704,10 +717,10 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg cn_ocerst_in \"AMM12_00000288_restart_oce_out\"
+    set_namelist namelist_cfg cn_ocerst_in \"AMM12_LONG_00000288_restart\"
     set_namelist namelist_cfg nn_date0 20120102
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/AMM12_00000288_restart_oce_out_${L_NPROC}.nc .
+        ln -sf ../LONG/AMM12_LONG_00000288_restart_${L_NPROC}.nc .
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -720,19 +733,17 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 8 ] ;  then
+
 ## Reproducibility tests for AMM12
     export TEST_NAME="REPRO_8_4"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AMM12_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 576
@@ -742,4 +753,8 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .false.
+##SF 
+    set_namelist namelist_cfg ln_lin .true.
+    set_namelist namelist_cfg ln_loglayer .false.
+##SF
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -761,4 +776,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AMM12_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 576
@@ -768,4 +784,8 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .false.
+##SF 
+    set_namelist namelist_cfg ln_lin .true.
+    set_namelist namelist_cfg ln_loglayer .false.
+##SF
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -784,9 +804,9 @@
 
 # TESTS FOR ORCA2_SAS_LIM3 CONFIGURATION
-if [ ${config} -eq 9 ] ;  then
+if [ ${config} -eq 5 ] ;  then
     ## Restartability tests for SAS
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n SAS_LONG -r ORCA2_SAS_LIM3 -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n SAS_ST -r ORCA2_SAS_LIM3 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -810,4 +830,5 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -836,5 +857,5 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg nn_date0 010106
+    set_namelist namelist_cfg nn_date0 010109
     set_namelist namelist_cfg cn_ocerst_in \"SAS_00000120_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"SAS_00000120_restart_ice\"
@@ -857,9 +878,9 @@
 
 # TESTS FOR ISOMIP CONFIGURATION
-if [ ${config} -eq 10 ] ;  then
+if [ ${config} -eq 6 ] ;  then
     ## Restartability tests for ISOMIP
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_LONG -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ISOMIP_ST -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -875,5 +896,15 @@
     set_namelist namelist_cfg nn_stock 48
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
+    #SF come back to reading of domain_cfg for ISOMIP
+    #SF change after merge, when usrdef_zgr will be correct
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg cn_domcfg ISOMIP_zps_domcfg
+    #SF come back to reading of domain_cfg for ISOMIP
+    set_namelist namelist_cfg ln_icebergs .false.
+    set_namelist namelist_cfg ln_bergdia .false.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
+    set_namelist namelist_cfg ln_non_lin .false.
+    set_namelist namelist_cfg ln_lin .true.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -898,5 +929,15 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
+    #SF come back to reading of domain_cfg for ISOMIP
+    #SF change after merge, when usrdef_zgr will be correct
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg cn_domcfg ISOMIP_zps_domcfg
+    #SF come back to reading of domain_cfg for ISOMIP
+    set_namelist namelist_cfg ln_bergdia .false.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
+    set_namelist namelist_cfg ln_non_lin .false.
+    set_namelist namelist_cfg ln_lin .true.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -922,24 +963,32 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-if [ ${config} -eq 11 ] ;  then
+
     ## Reproducibility tests for ISOMIP
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_32 -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_14\"
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"ISOMIP_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 48
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
+    #SF come back to reading of domain_cfg for ISOMIP
+    #SF change after merge, when usrdef_zgr will be correct
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg cn_domcfg ISOMIP_zps_domcfg
+    #SF come back to reading of domain_cfg for ISOMIP
+    set_namelist namelist_cfg ln_bergdia .false.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
+    set_namelist namelist_cfg ln_non_lin .false.
+    set_namelist namelist_cfg ln_lin .true.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -962,10 +1011,20 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"ISOMIP_22\"
+    set_namelist namelist_cfg cn_exp \"ISOMIP_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 48
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .false.
+    #SF come back to reading of domain_cfg for ISOMIP
+    #SF change after merge, when usrdef_zgr will be correct
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg cn_domcfg ISOMIP_zps_domcfg
+    #SF come back to reading of domain_cfg for ISOMIP
+    set_namelist namelist_cfg ln_bergdia .false.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
+    set_namelist namelist_cfg ln_non_lin .false.
+    set_namelist namelist_cfg ln_lin .true.
+    #SF TO BE REMOVED AFTER BUG CORRECTION OF ln_not_lin drg
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -985,17 +1044,18 @@
 ## Test assimilation interface code, OBS and ASM for reproducibility
 ## Restartability not tested (ASM code not restartable while increments are being applied)
-if [ ${config} -eq 12 ] ; then
+if [ ${config} -eq 7 ] ; then
    ## Reproducibility tests for ORCA2_LIM3_OBS
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3"  -j 8 add_key "key_asminc" del_key "key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3"  -j 8 add_key "key_asminc" del_key "key_top"
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3OBS_48\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1051,4 +1111,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2L3OBS_84\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1097,56 +1158,10 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
-# TEST FOR ORCA2_LIM3_AGRIF : simple test of running AGRIF (no restartability neither reproducibility tests)
-if [ ${config} -eq 13 ] ;  then
-    ## ORCA2_LIM3 with Agulhas AGRIF zoom in MPI
-    export TEST_NAME="SHORT"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_zdftmx key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=2
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 1
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 2
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 150
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg ln_read_cfg .true.
-    set_namelist 1_namelist_cfg ln_linssh .true.
-    set_namelist 1_namelist_cfg ln_hpg_sco .false.
-    set_namelist 1_namelist_cfg ln_hpg_zps .true. 
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-# test code corruption with AGRIF
-# Compile and run with or without AGRIF ORCA2_LIM3
-if [ ${config} -eq 14 ] ;  then
-    # First run same as 15 but without zoom
-    export TEST_NAME="SHORT_NOZOOM"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_2_2 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_zdftmx key_top"
+# TEST FOR ORCA2_LIM3_AGRIF : AGULHAS AGRIF
+if [ ${config} -eq 8 ] ;  then
+## Restartability tests
+    export TEST_NAME="LONG"
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGR_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1157,7 +1172,8 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg cn_exp \"O2AGRIF_LONG\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 150
+    set_namelist namelist_cfg nn_stock 75
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
@@ -1169,81 +1185,5 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg jpnij 4
-# 
-#   Set the number of fine grids to zero:    
-    sed -i "1s/.*/0/" ${EXE_DIR}/AGRIF_FixedGrids.in
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    export TEST_NAME="SHORT_NOAGRIF"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_2_2_NAG -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 del_key "key_zdftmx key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-#
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-fi
-
-## Restartability tests for ORCA2_LIM3_AGRIF 
-if [ ${config} -eq 15 ] ;  then
-    export TEST_NAME="LONG"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_LONG -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif key_zdftmx" del_key "key_zdftmx_new key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2LP_LONG\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    set_namelist 1_namelist_cfg cn_exp \"O2LP_LONG\"
+    set_namelist 1_namelist_cfg cn_exp \"O2AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 300
@@ -1254,4 +1194,5 @@
     set_namelist 1_namelist_cfg ln_read_cfg .true.
     set_namelist 1_namelist_cfg ln_linssh .true.
+    set_namelist 1_namelist_cfg ln_zdfiwm .false.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
     set_namelist 1_namelist_cfg ln_hpg_zps .true. 
@@ -1269,5 +1210,5 @@
     . ./prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2LP_SHORT\"
+    set_namelist namelist_cfg cn_exp \"O2AGRIF_SHORT\"
     set_namelist namelist_cfg nn_it000 76
     set_namelist namelist_cfg nn_itend 150
@@ -1284,5 +1225,5 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg jpnij 4
-    set_namelist 1_namelist_cfg cn_exp \"O2LP_SHORT\"
+    set_namelist 1_namelist_cfg cn_exp \"O2AGRIF_SHORT\"
     set_namelist 1_namelist_cfg nn_it000 151
     set_namelist 1_namelist_cfg nn_itend 300
@@ -1294,18 +1235,19 @@
     set_namelist 1_namelist_cfg ln_read_cfg .true.
     set_namelist 1_namelist_cfg ln_linssh .true.
+    set_namelist 1_namelist_cfg ln_zdfiwm .false.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
     set_namelist 1_namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg cn_ocerst_in \"O2LP_LONG_00000075_restart\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
-    set_namelist 1_namelist_cfg cn_ocerst_in \"O2LP_LONG_00000150_restart\"
-    set_namelist 1_namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000150_restart_ice\"
+    set_namelist namelist_cfg cn_ocerst_in \"O2AGRIF_LONG_00000075_restart\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"O2AGRIF_LONG_00000075_restart_ice\"
+    set_namelist 1_namelist_cfg cn_ocerst_in \"O2AGRIF_LONG_00000150_restart\"
+    set_namelist 1_namelist_ice_cfg cn_icerst_in \"O2AGRIF_LONG_00000150_restart_ice\"
 
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/1_O2LP_LONG_00000150_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/1_O2LP_LONG_00000150_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/O2AGRIF_LONG_00000075_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/O2AGRIF_LONG_00000075_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/1_O2AGRIF_LONG_00000150_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/1_O2AGRIF_LONG_00000150_restart_ice_${L_NPROC}.nc .
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1318,11 +1260,9 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
+
 
 ## Reproducibility tests for ORCA2_LIM3_AGRIF
-if [ ${config} -eq 16 ] ;  then
     export TEST_NAME="REPRO_4_4"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_16 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif key_zdftmx" del_key "key_zdftmx_new key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1333,4 +1273,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2AGRIF_44\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1351,4 +1292,5 @@
     set_namelist 1_namelist_cfg ln_clobber .true.
     set_namelist 1_namelist_cfg ln_read_cfg .true.
+    set_namelist 1_namelist_cfg ln_zdfiwm .false.
     set_namelist 1_namelist_cfg ln_linssh .true.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
@@ -1372,4 +1314,5 @@
     if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
     cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"O2AGRIF_28\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
@@ -1388,7 +1331,9 @@
     set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_ctl .false.
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_clobber .true.
     set_namelist 1_namelist_cfg ln_read_cfg .true.
     set_namelist 1_namelist_cfg ln_linssh .true.
+    set_namelist 1_namelist_cfg ln_zdfiwm .false.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
     set_namelist 1_namelist_cfg ln_hpg_zps .true. 
